<?php
namespace App;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

/**
 * Class Sector
 *
 * @package App
 * @property string $title
 * @property string $client
 * @property text $description
 * @property string $start_date
 * @property string $budget
 * @property string $sector_status
*/
class Sector extends Model
{
  
    protected $fillable = ['name', 'project_id'];
    
    public static function boot()
    {
        parent::boot();

    }
    
    public function project()
    {
        return $this->belongsTo(Project::class, 'project_id')->withTrashed();
    }
}
